Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 13 Apr 2023 02:08:11 +0000 (UTC)

Hi Yashi Gupta,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have a complaint about the Dubai Mirdif branch, I bought a pair of shoes, and they gave me two pieces of the left leg, and I live in Ras Al Khaimah, and I am unable to go again to Dubai. This is the same branch, This is the mistake of the same branch, and I went to the Ras Al-Khaimah branch, and they refused to replace it, on the pretext that I took it from Dubai, not from them. so what should i do ? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6045446